'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _GitIndexManager = require('../managers/GitIndexManager');

var _GitIndexManager2 = _interopRequireDefault(_GitIndexManager);

var _GitObjectManager = require('../managers/GitObjectManager');

var _GitObjectManager2 = _interopRequireDefault(_GitObjectManager);

var _read = require('../utils/read');

var _read2 = _interopRequireDefault(_read);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const lstat = (0, _pify2.default)(_fs2.default.lstat);

exports.default = async function add({ gitdir, workdir, filepath }) {
  const type = 'blob';
  const object = await (0, _read2.default)(_path2.default.join(workdir, filepath));
  const oid = await _GitObjectManager2.default.write({ gitdir, type, object });
  await _GitIndexManager2.default.acquire(`${gitdir}/index`, async function (index) {
    let stats = await lstat(_path2.default.join(workdir, filepath));
    index.insert({ filepath, stats, oid });
  });
  // TODO: return oid?
};
//# sourceMappingURL=add.js.map