'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _write = require('../utils/write');

var _write2 = _interopRequireDefault(_write);

var _mkdirs = require('../utils/mkdirs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async function init(gitdir /*: string */) {
  let folders = ['hooks', 'info', 'objects/info', 'objects/pack', 'refs/heads', 'refs/tags'];
  folders = folders.map(dir => gitdir + '/' + dir);
  await (0, _mkdirs.mkdirs)(folders);
  await (0, _write2.default)(gitdir + '/config', '[core]\n' + '\trepositoryformatversion = 0\n' + '\tfilemode = false\n' + '\tbare = false\n' + '\tlogallrefupdates = true\n' + '\tsymlinks = false\n' + '\tignorecase = true\n');
  await (0, _write2.default)(gitdir + '/HEAD', 'ref: refs/heads/master\n');
};
//# sourceMappingURL=init.js.map