'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _GitConfig = require('../models/GitConfig');

var _GitConfig2 = _interopRequireDefault(_GitConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class GitConfigManager {
  static async get({ gitdir }) {
    // We can improve efficiency later if needed.
    // TODO: read from full list of git config files
    let text = await (0, _pify2.default)(_fs2.default.readFile)(`${gitdir}/config`, { encoding: 'utf8' });
    return _GitConfig2.default.from(text);
  }
  static async save({ gitdir, config }) {
    // We can improve efficiency later if needed.
    // TODO: handle saving to the correct global/user/repo location
    await (0, _pify2.default)(_fs2.default.writeFile)(`${gitdir}/config`, config.toString(), {
      encoding: 'utf8'
    });
  } /*: { gitdir: string, config: GitConfig } */
}
exports.default = GitConfigManager;
//# sourceMappingURL=GitConfigManager.js.map