'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reader;

var _buffercursor = require('buffercursor');

var _buffercursor2 = _interopRequireDefault(_buffercursor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Technically, this happens to be a pull-stream compatible source.
function reader(buffer /*: Buffer */) {
  let buffercursor = new _buffercursor2.default(buffer);
  return function read() {
    if (buffercursor.eof()) return true;
    let length = parseInt(buffercursor.slice(4).toString('utf8'), 16);
    if (length === 0) return null;
    return buffercursor.slice(length - 4).buffer;
  };
}
//# sourceMappingURL=pkt-line-reader.js.map